%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}
%define rversion 1.0
%define release	1mdk

%define realname tidy
%define modname tidy
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A25_%{modname}.ini

Summary:	Tidy HTML Repairing and Parsing for PHP
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pecl.php.net/package/tidy
License:	PHP License
Source0:	%{modname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
#Requires:	libphp_common%{libversion}
Requires:	php%{libversion}
BuildRequires:	tidy-devel
BuildRequires:	php%{libversion}-devel
BuildRoot:	%{_tmppath}/%{name}-root
Provides: 	ADVXpackage

%description
Tidy is a binding for the Tidy HTML clean and repair utility which
allows you to not only clean and otherwise manipluate HTML
documents, but also traverse the document tree using the Zend
Engine 2 OO semantics.

%prep

%setup -q -n %{modname}-%{rversion}

%build

phpize
%configure --enable-%{modname}
%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php/%{inifile}
install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README.%{modname} examples tests CREDITS README TODO
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Mon Dec 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.0-1mdk
- 1.0

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.7-1mdk
- initial cooker contrib
